Create Retention Portal Session
curl --request POST \
--url https://api.openloophealth.com/v0.1/billing-portals/retention-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_customer_id": "test_customer_id",
"provider_subscription_id": "test_subscription_id_2",
"save_return_url": "https://app.example.com/billing?retained=true",
"cancel_confirmation_url": "https://app.example.com/billing?cancelled=true",
"custom": {
"program": "MWL",
"offer_accept_url": "https://app.example.com/offers/accept"
}
}
'import requests
url = "https://api.openloophealth.com/v0.1/billing-portals/retention-sessions"
payload = {
"provider_customer_id": "test_customer_id",
"provider_subscription_id": "test_subscription_id_2",
"save_return_url": "https://app.example.com/billing?retained=true",
"cancel_confirmation_url": "https://app.example.com/billing?cancelled=true",
"custom": {
"program": "MWL",
"offer_accept_url": "https://app.example.com/offers/accept"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_customer_id: 'test_customer_id',
provider_subscription_id: 'test_subscription_id_2',
save_return_url: 'https://app.example.com/billing?retained=true',
cancel_confirmation_url: 'https://app.example.com/billing?cancelled=true',
custom: {program: 'MWL', offer_accept_url: 'https://app.example.com/offers/accept'}
})
};
fetch('https://api.openloophealth.com/v0.1/billing-portals/retention-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/billing-portals/retention-sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_customer_id' => 'test_customer_id',
'provider_subscription_id' => 'test_subscription_id_2',
'save_return_url' => 'https://app.example.com/billing?retained=true',
'cancel_confirmation_url' => 'https://app.example.com/billing?cancelled=true',
'custom' => [
'program' => 'MWL',
'offer_accept_url' => 'https://app.example.com/offers/accept'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/billing-portals/retention-sessions"
payload := strings.NewReader("{\n \"provider_customer_id\": \"test_customer_id\",\n \"provider_subscription_id\": \"test_subscription_id_2\",\n \"save_return_url\": \"https://app.example.com/billing?retained=true\",\n \"cancel_confirmation_url\": \"https://app.example.com/billing?cancelled=true\",\n \"custom\": {\n \"program\": \"MWL\",\n \"offer_accept_url\": \"https://app.example.com/offers/accept\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/billing-portals/retention-sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_customer_id\": \"test_customer_id\",\n \"provider_subscription_id\": \"test_subscription_id_2\",\n \"save_return_url\": \"https://app.example.com/billing?retained=true\",\n \"cancel_confirmation_url\": \"https://app.example.com/billing?cancelled=true\",\n \"custom\": {\n \"program\": \"MWL\",\n \"offer_accept_url\": \"https://app.example.com/offers/accept\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/billing-portals/retention-sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_customer_id\": \"test_customer_id\",\n \"provider_subscription_id\": \"test_subscription_id_2\",\n \"save_return_url\": \"https://app.example.com/billing?retained=true\",\n \"cancel_confirmation_url\": \"https://app.example.com/billing?cancelled=true\",\n \"custom\": {\n \"program\": \"MWL\",\n \"offer_accept_url\": \"https://app.example.com/offers/accept\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"url": "https://app.retention.chargebee.com/precancel/abc123def456"
}
}Billing Portals
Create Retention Portal Session
Creates a Chargebee Retention pre-cancel hosted-page session for a subscription scoped to a configuration that has retention enabled. Returns a redirect URL the customer is sent to in order to enter the retention flow. Sibling endpoint to POST /billing-portals/{provider_billing_portal_id}/sessions — retention-enabled tenants call this endpoint instead of passing intent=cancel to the payment provider billing-portal endpoint.
POST
/
billing-portals
/
retention-sessions
Create Retention Portal Session
curl --request POST \
--url https://api.openloophealth.com/v0.1/billing-portals/retention-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_customer_id": "test_customer_id",
"provider_subscription_id": "test_subscription_id_2",
"save_return_url": "https://app.example.com/billing?retained=true",
"cancel_confirmation_url": "https://app.example.com/billing?cancelled=true",
"custom": {
"program": "MWL",
"offer_accept_url": "https://app.example.com/offers/accept"
}
}
'import requests
url = "https://api.openloophealth.com/v0.1/billing-portals/retention-sessions"
payload = {
"provider_customer_id": "test_customer_id",
"provider_subscription_id": "test_subscription_id_2",
"save_return_url": "https://app.example.com/billing?retained=true",
"cancel_confirmation_url": "https://app.example.com/billing?cancelled=true",
"custom": {
"program": "MWL",
"offer_accept_url": "https://app.example.com/offers/accept"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_customer_id: 'test_customer_id',
provider_subscription_id: 'test_subscription_id_2',
save_return_url: 'https://app.example.com/billing?retained=true',
cancel_confirmation_url: 'https://app.example.com/billing?cancelled=true',
custom: {program: 'MWL', offer_accept_url: 'https://app.example.com/offers/accept'}
})
};
fetch('https://api.openloophealth.com/v0.1/billing-portals/retention-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/billing-portals/retention-sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_customer_id' => 'test_customer_id',
'provider_subscription_id' => 'test_subscription_id_2',
'save_return_url' => 'https://app.example.com/billing?retained=true',
'cancel_confirmation_url' => 'https://app.example.com/billing?cancelled=true',
'custom' => [
'program' => 'MWL',
'offer_accept_url' => 'https://app.example.com/offers/accept'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/billing-portals/retention-sessions"
payload := strings.NewReader("{\n \"provider_customer_id\": \"test_customer_id\",\n \"provider_subscription_id\": \"test_subscription_id_2\",\n \"save_return_url\": \"https://app.example.com/billing?retained=true\",\n \"cancel_confirmation_url\": \"https://app.example.com/billing?cancelled=true\",\n \"custom\": {\n \"program\": \"MWL\",\n \"offer_accept_url\": \"https://app.example.com/offers/accept\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/billing-portals/retention-sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_customer_id\": \"test_customer_id\",\n \"provider_subscription_id\": \"test_subscription_id_2\",\n \"save_return_url\": \"https://app.example.com/billing?retained=true\",\n \"cancel_confirmation_url\": \"https://app.example.com/billing?cancelled=true\",\n \"custom\": {\n \"program\": \"MWL\",\n \"offer_accept_url\": \"https://app.example.com/offers/accept\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/billing-portals/retention-sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_customer_id\": \"test_customer_id\",\n \"provider_subscription_id\": \"test_subscription_id_2\",\n \"save_return_url\": \"https://app.example.com/billing?retained=true\",\n \"cancel_confirmation_url\": \"https://app.example.com/billing?cancelled=true\",\n \"custom\": {\n \"program\": \"MWL\",\n \"offer_accept_url\": \"https://app.example.com/offers/accept\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"url": "https://app.retention.chargebee.com/precancel/abc123def456"
}
}Authorizations
serviceTokenuserToken
Body
application/json

